<?php
/**
 * Template Name: About Us
 *
 * @package WordPress
 * @subpackage spasalon
 */
 
get_header();
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() ); 
the_post();
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
?>
<!-- About Section -->
<section id="section" class="about">		
	<div class="container">
		
		<div class="row">
			<div class="col-md-8">
				<div class="about-info">
				
					
					<?php the_title('<h3 class="page-title txt-color">','</h3>');  // page title ?>
					
					
					<?php the_content(); // content ?>
					
				</div>
			</div>
			
			<?php 
			$defalt_arg = array('class' => "img-circle" ); 
			
			if( has_post_thumbnail() ):
			?>
			<div class="col-md-4">
				<figure class="about-img-area">
					<?php the_post_thumbnail('full', $defalt_arg ); ?>
				</figure>
			</div>
			<?php endif; ?>
			
		</div>
		
		<?php if( $current_options['about_team_enable'] == 'yes' ): ?>
		<!--Separator--><div class="row"><div class="col-md-12"><div class="separator"></div></div></div><!--/Separator-->
		
		<!-- Team -->
		<div class="row">
			
			<?php if( $current_options['about_team_title'] != '' ){ ?>
			<div class="col-md-12">
				<h3 class="team-title txt-color">
					<?php echo $current_options['about_team_title']; ?>
				</h3>
			</div>
			<div class="clearfix"></div>
			<?php } ?>
			
			<?php 
			$i=1;
			
			$arg = array( 'post_type' => 'spa_team' );
			
			$team = new WP_Query( $arg );
			
			if($team->have_posts()):
			
				while ( $team->have_posts() ) : $team->the_post();
				
				$my_meta = get_post_meta( $post->ID ,'_my_meta', TRUE );
			?>
			<div class="col-md-6 col-sm-6 col-xs-12">
				<div class="media team">
					
					<?php if( has_post_thumbnail() ): ?>
					<figure class="team-gravatar">
						<?php the_post_thumbnail('thumbnail'); ?>
					</figure>
					<?php endif; ?>
					
					<div class="media-body"> 
						<h3 class="team-name"><?php the_title(); ?></h3> 
						
						<span class="team-designation">
						<?php _e( 'Designation: ', 'spasalon' ); if( isset( $my_meta['Designation'] ) ){ echo $my_meta['Designation']; } ?>
						</span>
						
						<p>
							<?php if( isset( $my_meta['description'] ) ) echo $my_meta['description']; ?>
						</p> 
						
						<?php 
						if(isset($my_meta['facebook_chkbx'])){$facebook_chkbx=1;} else{$facebook_chkbx=0;}					 
						if(isset($my_meta['twitter_chkbx'])){$twitter_chkbx=1;} else{$twitter_chkbx=0;}					 
						if(isset($my_meta['google_chkbx'])){$google_chkbx=1;} else{$google_chkbx=0;}
						
						if(isset($my_meta['target_tab'])){$target_tab=1;} else{$target_tab=0;}
						?>
						<ul class="team-social">
						
							<?php if( $facebook_chkbx == 1 ): ?>
							<li class="facebook"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['facebook_url'] ) ){ echo $my_meta['facebook_url']; } ?>" class="fa fa-facebook"></a></li>
							<?php endif; ?>
							
							<?php if( $twitter_chkbx == 1 ): ?>
							<li class="twitter"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['twitter_url'] ) ){ echo $my_meta['twitter_url']; } ?>" class="fa fa-twitter"></a></li>
							<?php endif; ?>
							
							<?php if( $google_chkbx == 1 ): ?>
							<li class="googleplus"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['google_url'] ) ){ echo $my_meta['google_url']; } ?>" class="fa fa-google-plus"></a></li>
							<?php endif; ?>
							
						</ul>
						
					</div> 
				</div>
			</div>
			<?php 
				if( $i%2==0 ) { // echo '<div class="clearfix"></div>'; 
					
				} $i++;
				
				endwhile;
			else:
			
				for( $i=5; $i<=8; $i++ ){
					
					echo '<div class="col-md-6 col-sm-6 col-xs-12">
							<div class="media team"> 
								<figure class="team-gravatar"><img alt="img" src="'.(get_template_directory_uri()).'/images/default/image_180x180.jpg"></figure> 
								<div class="media-body"> 
									<h3 class="team-name">'.__('Lerry Beth','spasalon').'</h3>'. 
									'<span class="team-designation">'.__('Designation: Sr Therapist','spasalon').'</span>'.
									'<p>'.__('This is where you could add a short bio about the owner or staff of your establishment This is where you could add a short bio about the owner.','spasalon').'</p>'. 
									'<ul class="team-social">
										<li class="facebook"><a href="#" class="fa fa-facebook"></a></li>
										<li class="twitter"><a href="#" class="fa fa-twitter"></a></li>
										<li class="googleplus"><a href="#" class="fa fa-google-plus"></a></li>
									</ul>
								</div> 
							</div>
						</div>';
			
				}
			
			endif;
			
			?>
			
		</div>
		<!-- End of Team -->
		<?php endif; ?>
		
	</div>
</section>

<div class="clearfix"></div>

<?php get_footer(); ?>