<?php
/**
 * Template Name: Contact Page
 *
 */
 
get_header(); 
the_post();
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
$call_us         = $current_options['call_us'];
$call_us_text    = $current_options['call_us_text'];
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
?>
<!-- Contact Section -->
<section id="section" class="contact">		
	<div class="container">
		
		<?php if( $current_options['contact_map_enable'] == 'yes' ){ ?>
		<!--Google map-->
		<div class="row">
			<div class="col-md-12">
				
				<?php if( $current_options['contact_map_title'] != '' ){ ?>
				<h3 class="contact-title txt-color">
					<?php echo $current_options['contact_map_title']; ?>
				</h3>
				<?php } ?>
				
				<?php if( $current_options['map'] != '' ):  ?>
				<div class="google-map">			
					<?php echo do_shortcode($current_options['map']); ?>
				</div>
				<?php endif; ?>
				
			</div>
		</div>
		<!--/End of Google map-->
		<br />
		<?php } ?>
		
		<div class="row">
			
			<?php if( $current_options['contact_form_title'] != '' ){ ?>
			<div class="col-md-12 col-xs-12">
				<h3 class="contact-title txt-color border"><?php echo $current_options['contact_form_title']; ?></h3>
			</div>
			<?php } ?>
			
			<!--Contact Form-->
			<div class="col-md-4 col-xs-12">
				<div class="contact-form">
					<?php 
						
						if ( ! defined( 'WPCF7_VERSION' ) && ! defined( 'WPCF7_PLUGIN_DIR' ) ) { 
							
							if ( is_user_logged_in() ) {
							?>
							<strong><?php _e('Message : ','spasalon'); ?></strong>
							<?php _e('If you want to add contact form on contact page download Contact Form 7 Plugin. ','spasalon') ?><a href="https://wordpress.org/plugins/contact-form-7/" target="_blank"><strong style="color:#4b453f;"><?php _e('Click Here!','spasalon') ?></strong></a>
							
						<?php 
							}
						}
						else{
								$contents = get_the_content();
							
								if (preg_match('/contact-form-7 id/',$contents))
								{
									the_content();
								}
								else{
									
									if ( is_user_logged_in() ) { ?>
									
									<p><strong><?php _e('Message : ','spasalon'); ?></strong><?php _e( 'Contact Form Shortcodes not found in this page. Please add a shortcode for display Contact Form.', 'spasalon' ); ?></p>
									
									<?php 
									}
									
									the_content();
								}
						}
					?>
				</div>
			</div>
			<!--/End of Contact Form-->

			<!--Contact Info-->
			<div class="col-md-8 col-xs-12">
				<div class="row">
				
					<div class="col-md-5 col-md-offset-1 col-xs-12">
						<address>
							
							<?php if( $current_options['contact_address_title'] != '' ){ ?>
							<h3><?php echo $current_options['contact_address_title']; ?></h3>
							<?php } ?>
							
							<p>
							<?php if( $current_options['adress_line_one'] != '' ){ ?>
							<?php echo $current_options['adress_line_one']; ?><br>
							<?php } ?>
							
							<?php if( $current_options['adress_line_two'] != '' ){ ?>
							<?php echo $current_options['adress_line_two']; ?><br>
							<?php } ?>
							
							
							<?php 
							if( $current_options['adress_line_three'] != '' ){ 
								echo $current_options['adress_line_three'];
							} 
							?>
							</p>
							
							<?php if( $current_options['phone_number_one'] != '' ){ ?>
							<p><strong><?php _e('Freephone:','spasalon'); ?></strong> <?php echo $current_options['phone_number_one']; ?><br>
							<?php } ?>
							
							<?php if( $current_options['phone_number_two'] != '' ){ ?>
							<strong><?php _e('Telephone:','spasalon'); ?></strong> <?php echo $current_options['phone_number_two']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['fax_number'] != '' ){ ?>
							<p><strong><?php _e('FAX:','spasalon'); ?></strong> <?php echo $current_options['fax_number']; ?><br>
							<?php } ?>
							
							<?php if( $current_options['email_address'] != '' ){ ?>
							<strong><?php _e('E-mail:','spasalon'); ?></strong> <?php echo $current_options['email_address']; ?></p>
							<?php } ?>
						</address>					
					</div>
					
					<div class="col-md-6 col-xs-12">
						<address>	
							
							<?php if( $current_options['open_hours_title'] != '' ){ ?>
							<h3><?php echo $current_options['open_hours_title']; ?></h3>
							<?php } ?>
							
							<?php if( $current_options['weekends_time'] != '' ){ ?>
							<p><strong><?php _e('Mon.','spasalon'); ?></strong> <?php echo $current_options['weekends_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['weekdays_time'] != '' ){ ?>
							<p><strong><?php _e('Tue','spasalon'); ?></strong> <?php echo $current_options['weekdays_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['wed_time'] != '' ){ ?>
							<p><strong><?php _e('Wed.','spasalon'); ?></strong> <?php echo $current_options['wed_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['thudays_time'] != '' ){ ?>
							<p><strong><?php _e('Thu.','spasalon'); ?></strong> <?php echo $current_options['thudays_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['fridays_time'] != '' ){ ?>
							<p><strong><?php _e('Fri.','spasalon'); ?></strong> <?php echo $current_options['fridays_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['satdays_time'] != '' ){ ?>
							<p><strong><?php _e('Sat.','spasalon'); ?></strong> <?php echo $current_options['satdays_time']; ?></p>
							<?php } ?>
							
							<?php if( $current_options['sundays_time'] != '' ){ ?>
							<p><strong><?php _e('Sun.','spasalon'); ?></strong> <?php echo $current_options['sundays_time']; ?></p>
							<?php } ?>
						</address>		
					</div>
					
					<div class="col-md-12 col-md-offset-1 col-xs-12">
						<aside class="contact-info">	
							<span class="phone-title"><?php echo $call_us_text; ?></span>
							<div class="phone"><?php echo $call_us; ?></div>
						</aside>		
					</div>
				
				</div>
			</div>
			<!--/End of Contact Info-->
		
		</div>	
	</div>
</section>
<!-- End of Contact Section -->
 
<div class="clearfix"></div>

<?php get_footer(); ?>