<?php

// Global variables define

define('WEBRITI_TEMPLATE_DIR_URI' , get_template_directory_uri() );	

define('WEBRITI_TEMPLATE_DIR' , get_template_directory() );

define('WEBRITI_THEME_FUNCTIONS_PATH' , WEBRITI_TEMPLATE_DIR.'/functions');

define( 'WEBR_FRAMEWORK_DIR', get_template_directory_uri().'/functions' );



// Theme functions file including

require( WEBRITI_THEME_FUNCTIONS_PATH . '/default_data.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/scripts/script.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/menu/default_menu_walker.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/menu/webriti_nav_walker.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/sidebars.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/banner-settings.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/general-settings.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/home-page.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/post-type-slugs.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/template-settings.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/layout-manager.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/customizer/typography-settings.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/font/font.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/contact-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/post-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/product-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/cpt/cpt.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/meta-box/metabox.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/template-tag.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/wbr-register-page-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/wbr-project-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/wbr-news-widget.php');

require( WEBRITI_THEME_FUNCTIONS_PATH . '/widget/wbr-team-widget.php');



if ( ! function_exists( 'spasalon_setup' ) ) :

function spasalon_setup() {
	
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 */
	
	load_theme_textdomain( 'spasalon', get_template_directory() . '/lang' );

	
	
	
	// Add default posts and comments RSS feed links to head.
	
	add_theme_support( 'automatic-feed-links' );

	
	
	/*
	 * Let WordPress manage the document title.
	 */
	 
	add_theme_support( 'title-tag' );
	
	
	
	
	// supports featured image
	
	add_theme_support( 'post-thumbnails' );

	
	
	// This theme uses wp_nav_menu() in two locations.
	
	register_nav_menus( array(
	
		'primary' => __( 'Primary Menu', 'spasalon' ),
		
		'footer'  => __( 'Footer Menu', 'spasalon' ),
		
	) );
	
	
	// woocommerce support
	
	add_theme_support( 'woocommerce' );
	
	
	
	//Custom logo
	
	add_theme_support( 'custom-logo' , array(
	
	   'class'       => 'navbar-brand',
	   
	   'width'       => 150,
	   
	   'height'      => 35,
	   
	   'flex-width' => false,
	   
	   'flex-height' => false,
	   
	) );
	
}
endif; // spasalon_setup

add_action( 'after_setup_theme', 'spasalon_setup' );




// Replace logo Anchor class

add_filter('get_custom_logo', 'custom_logo_output', 10);

function custom_logo_output( $html ){
	
	$html = str_replace( 'custom-logo-link', 'navbar-brand', $html );
	
return $html;

}




// custom css 

function spasalon_custom_css_function(){
	
	$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
	
	echo '<style>';
	
	echo $current_options['spa_custom_css'];
	
	echo '</style>';
	
	echo '<style>';
	
	echo '
	
		h1, .h1 { 
			font-family: "'.$current_options['h1_fontfamily'].'"; 
			font-size: '.$current_options['h1_size'].'px; 
			line-height: '.($current_options['h1_size'] + 4).'px;
			font-style: '.$current_options['h1_fontstyle'].';
		}
		
		h2, .h2 { 
			font-family: "'.$current_options['h2_fontfamily'].'"; 
			font-size: '.$current_options['h2_size'].'px; 
			line-height: '.($current_options['h2_size'] + 5).'px;
			font-style: '.$current_options['h2_fontstyle'].';
		}
		
		h3, .h3 { 
			font-family: "'.$current_options['h3_fontfamily'].'"; 
			font-size: '.$current_options['h3_size'].'px; 
			line-height: '.($current_options['h3_size'] + 6).'px;
			font-style: '.$current_options['h3_fontstyle'].';
		}
		
		h4, .h4 { 
			font-family: "'.$current_options['h4_fontfamily'].'"; 
			font-size: '.$current_options['h4_size'].'px; 
			line-height: '.($current_options['h4_size'] + 7).'px;
			font-style: '.$current_options['h4_fontstyle'].';
		}
		
		h5, .h5 { 
			font-family: "'.$current_options['h5_fontfamily'].'"; 
			font-size: '.$current_options['h5_size'].'px; 
			line-height: '.($current_options['h5_size'] + 6).'px;
			font-style: '.$current_options['h5_fontstyle'].';
		}
		
		h6, .h6 { 
			font-family: "'.$current_options['h6_fontfamily'].'"; 
			font-size: '.$current_options['h6_size'].'px; 
			line-height: '.($current_options['h6_size'] + 8).'px;
			font-style: '.$current_options['h6_fontstyle'].';
		}
		
		.section-title{ 
			font-family: "'.$current_options['home_section_title_fontfamily'].'"; 
			font-size: '.$current_options['home_section_title_fontsize'].'px; 
			line-height: '.($current_options['home_section_title_fontsize'] + 3).'px;
			font-style: '.$current_options['home_section_title_fontstyle'].';
		}
		
		.section-subtitle{ 
			font-family: "'.$current_options['home_section_desc_fontfamily'].'"; 
			font-size: '.$current_options['home_section_desc_fontsize'].'px; 
			line-height: '.($current_options['home_section_desc_fontsize'] + 9).'px;
			font-style: '.$current_options['home_section_desc_fontstyle'].';
		}
		
		.navbar-default .navbar-nav > li > a,
		.dropdown-menu > li > a	{
			font-family: "'.$current_options['menu_title_fontfamily'].'"; 
			font-size: '.$current_options['menu_title_fontsize'].'px; 
			line-height: '.($current_options['menu_title_fontsize'] + 5).'px;
			font-style: '.$current_options['menu_title_fontstyle'].';
		}
		
		.entry-header .entry-title{
			font-family: "'.$current_options['post_title_fontfamily'].'"; 
			font-size: '.$current_options['post_title_fontsize'].'px; 
			line-height: '.($current_options['post_title_fontsize'] + 6).'px;
			font-style: '.$current_options['post_title_fontstyle'].';
		}
		
		p, .entry-content, .post .entry-content {
			font-family: "'.$current_options['postexcerpt_fontfamily'].'"; 
			font-size: '.$current_options['postexcerpt_title_fontsize'].'px; 
			line-height: '.($current_options['postexcerpt_title_fontsize'] + 10).'px;
			font-style: '.$current_options['postexcerpt_fontstyle'].';
		}
		
		.widget .widget-title, .footer-sidebar .widget .widget-title{
			font-family: "'.$current_options['widget_title_fontfamily'].'"; 
			font-size: '.$current_options['widget_title_fontsize'].'px; 
			line-height: '.($current_options['widget_title_fontsize'] + 6).'px;
			font-style: '.$current_options['widget_title_fontstyle'].';
		}
	';
	
	echo '</style>';
	
	if( $current_options['custom_color_enable'] == true ){
		
		$link_color = $current_options['custom_color'];
		
		list($r, $g, $b) = sscanf($link_color, "#%02x%02x%02x");
		$r = $r - 50;
		$g = $g - 25;
		$b = $b - 40;
		
		if ( $link_color != '#ff0000' ) :
		
			echo '<style>';
			echo '/* Background color */
				.navbar .navbar-nav > .open > a, 
				.navbar .navbar-nav > .open > a:hover, 
				.navbar .navbar-nav > .open > a:focus, 
				.navbar .navbar-nav > li > a:hover, 
				.navbar .navbar-nav > li > a:focus, 
				.navbar-default .navbar-nav > .active > a, 
				.navbar-default .navbar-nav > .active > a:hover, 
				.navbar-default .navbar-nav > .active > a:focus, 
				.navbar-default .navbar-nav > .current_page_item > a, 
				.navbar-default .navbar-nav > .current_page_item > a:hover, 
				.navbar-default .navbar-nav > .current_page_item > a:focus,
				.navbar-default .navbar-nav > li > a:before, 
				#slider .topbar-detail, 
				#spa-page-header .topbar-detail, 
				a.thumb-btn:before, .flex-direction-nav a:hover::before, .direction-nav a:hover::before,  
				.more-link, 
				.more-link:hover, 
				.paginations a:before, 
				.paginations a.active, 
				.paginations span.current,
				.widget table caption, 
				.widget table tbody a, 
				.scrollup, 
				ins, 
				input[type="submit"],
				.post-thumbnail i, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, table th { 
					background-color: '.$link_color.'; 
				}

				/* Text Color */
				.entry-title > a:hover, 
				.txt-color, .team-designation, .prt-detail h4, .prt-detail h4 a, .product-name, .product-price, .product-detail .price, 
				.widget ul li a:hover, .widget ul li a:focus, .widget table #next a:hover, .widget table #next a:focus, .widget table #prev a:hover, 
				.widget table #prev a:focus, .tagcloud a:hover, .tagcloud a:focus, .footer-sidebar .widget p a:hover, 
				.footer-links li > a:hover, .footer-links li > a:focus, .site-info p a:hover, .site-info p a:focus, 
				.datetime:hover, .datetime:focus, .reply a:hover, .reply a:focus, .phone, 
				tbody a, p a, dl dd a, a, a:hover, div[class*="wbr_project_widget"] .prt-detail h4 a { 
					color: '.$link_color.'; 
				}

				/* Border Color */
				.paginations a.active, .widget table tbody a, .widget table tbody a:hover, .widget table tbody a:focus { border: 1px solid '.$link_color.'; }
				.about-img-area img { border: 7px solid '.$link_color.'; }
				.widget .widget-title, .comment-title { border-left: 4px solid '.$link_color.'; }
				.google-map iframe { border-bottom: 4px solid '.$link_color.'; }
				.footer-sidebar { border-top: 3px solid '.$link_color.'; }
				blockquote { border-left: 5px solid '.$link_color.'; }

				/* Topbar Detail Css */
				.topbar-detail .title { border-right: 1px solid rgba('.$r.','.$g.','.$b.',0.32); } 
				.topbar-detail p.description { color: #ffffff; }
				.addr-detail address { color: '.$link_color.'; }
				.addr-detail address > strong { color: rgba(0,0,0,0.61); }
				
				/* New Woocommerce add by PRAKASH 17-3-2016 */
				.woocommerce span.onsale {
					background-color:'.$link_color.';
					color: #fff;
				}

				.woocommerce a.remove, 
				.woocommerce ul.products li.product .price {
					color: '.$link_color.';
				}

				.woocommerce #respond input#submit.alt, 
				.woocommerce #respond input#submit.alt:hover, 
				.woocommerce a.button.alt, 
				.woocommerce a.button.alt:hover, 
				.woocommerce button.button.alt, 
				.woocommerce button.button.alt:hover,
				.woocommerce input.button.alt,  
				.woocommerce input.button.alt:hover{
					background-color: '.$link_color.';
					color: #fff;
				}

				.woocommerce .woocommerce-message:before {
					content: "\e015";
					color: #fff;
				}

				.woocommerce .woocommerce-error {
					border-top-color: '.$link_color.';
				}

				.woocommerce .woocommerce-error:before {
					content: "\e016";
					background-color: '.$link_color.';
					color: #fff;
				}

				.woocommerce .woocommerce-error, 
				.woocommerce-page .woocommerce-error, 
				.woocommerce .woocommerce-message, 
				.woocommerce-page .woocommerce-message, 
				.woocommerce .woocommerce-info, 
				.woocommerce-page .woocommerce-info {
					border-top: 3px solid '.$link_color.';
				}

				.woocommerce .woocommerce-error:before, 
				.woocommerce-page .woocommerce-error:before, 
				.woocommerce .woocommerce-message:before, 
				.woocommerce-page .woocommerce-message:before, 
				.woocommerce .woocommerce-message:before, 
				.woocommerce-page .woocommerce-message:before, 
				.woocommerce .woocommerce-info:before, 
				.woocommerce-page .woocommerce-info:before, 
				.woocommerce .woocommerce-info:before, 
				.woocommerce-page .woocommerce-info:before { 
					background-color: #f7f6f7; 
					color: '.$link_color.';
				}

				.woocommerce form .form-row .required, 
				.woocommerce-shipping-calculator p > a:hover {
					color: '.$link_color.';
				}

				.woocommerce form .form-row.woocommerce-invalid .select2-container, 
				.woocommerce form .form-row.woocommerce-invalid input.input-text, 
				.woocommerce form .form-row.woocommerce-invalid select,
				.woocommerce form .form-row.woocommerce-validated .select2-container, 
				.woocommerce form .form-row.woocommerce-validated input.input-text, 
				.woocommerce form .form-row.woocommerce-validated select  {
					border-color: '.$link_color.';
				}

				.woocommerce .label,  
				.woocommerce .badge {
					background-color: '.$link_color.';
				}

				.woocommerce div.product p.price, .woocommerce div.product span.price {
					color: '.$link_color.';
					font-size: 1.25em;
				}
				
				.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover {
					color: '.$link_color.';
				}
				
				
				.google-map #wpgmza_map { 
					border-bottom: 4px solid '.$link_color.';
				}';
				
				
			echo '</style>';
		
		endif;
		
	}
}

add_action('wp_head','spasalon_custom_css_function');




// excerpt length

function spasalon_excerpt_length( $length ) {
	
	return 20;
	
}

add_filter( 'excerpt_length', 'spasalon_excerpt_length', 999 );




// Replaces the excerpt "more" text by a link

function new_excerpt_more($more) {
	
    global $post;
	
	$link = sprintf( '<p><a href="%1$s" class="more-link">%2$s</a></p>',
	
		esc_url( get_permalink( get_the_ID() ) ),
		
		sprintf( __( 'Read More' , 'spasalon' ) )
		
	);
	
	return ' &hellip; ' . $link;
	
}

add_filter('excerpt_more', 'new_excerpt_more');





function modify_read_more_link() {
	
	global $post;
	
	$link = '<a class="more-link" href="' . get_permalink() . '">'.__( 'Read More' , 'spasalon' ).'</a>';
	
    return $link;
}
add_filter( 'the_content_more_link', 'modify_read_more_link' );





// content width 

function spasalon_content_width() {
	
	$GLOBALS['content_width'] = apply_filters( 'spasalon_content_width', 960 );
	
}

add_action( 'after_setup_theme', 'spasalon_content_width', 0 );


add_action('wp_head','spasalon_caption_color');
function spasalon_caption_color()
{
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
	?>
	<style>
	.txt p
	{
	color:<?php echo $current_options['slider_caption_overlay_color']; ?> !important;	
	}
	</style>
<?php } 
// Section title and subtitle shortcode
function shortcode_header( $atts ){
	// shortcode attribute
	extract(shortcode_atts( array(
	'title' => 'Gallery Showcase',
	'subtitle' => 'In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis.',

	), $atts ));
	return '<div class="section-header">
				<h1 class="section-title">'.$title.'</h1>
				<p class="section-subtitle">' .$subtitle . '</p>
			</div>';
}
add_shortcode( 'sectionheader', 'shortcode_header' );
?>