<?php 

/*code for custom post type and meta box*/
				
function create_post_type_spa_slider() {
	
			register_post_type( 'spa_slider');
			
}

add_action( 'init', 'create_post_type_spa_slider' );



// code for custom post type  team
add_action( 'init', 'create_post_type_team' );
function create_post_type_team() {
	$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
	$spa_team_slug = $current_options['spa_team_slug'];
	register_post_type( 'spa_team',
	array(
		'labels' => array(
		'name' => 'Our Team',
		'singular_name' => 'Our Team',
		'add_new' => __('Add New ', 'spasalon'),
		'add_new_item' => __('Enter member name','spasalon'),
		'edit_item' => __('Add member name','spasalon'),
		'new_item' => __('New Link','spasalon'),
		'all_items' => __('All Member','spasalon'),
		'view_item' => __('View Link','spasalon'),
		'search_items' => __('Search Links','spasalon'),
		'not_found' =>  __('No Links found','spasalon'),
		'not_found_in_trash' => __('No Links found in Trash','spasalon'), 
							),
		'supports' => array('title','thumbnail',),
		'show_in_nav_menus' => false,
		'public' => true,
		'rewrite' => array('slug' => $spa_team_slug),
		'menu_position' => 11,
		'menu_icon' => get_template_directory_uri() . '/images/services.png',
	)
	);
}
 
 
// code for custom post type  services
add_action( 'init', 'create_post_type_services' );
function create_post_type_services() {
	register_post_type( 'spa_services');
}


function create_services_taxonomy() 
{	
	register_taxonomy('services_categories','spa_services');
}
add_action( 'init', 'create_services_taxonomy' );
		
add_action( 'save_post', 'set_default_category' );
function set_default_category( $post_id ) 
{	$terms = wp_get_post_terms( $post_id, 'services_categories');
	// Only set default if no terms are set yet
	if (!$terms) {
	// Assign the default category
	$default_term = get_term_by('slug', 'misc', 'services_categories','ARRAY_A');
	wp_set_post_terms( $post_id, $default_term, 'services_categories' );
	}
}
		
		
		
		
// code for product post type
add_action( 'init', 'create_post_type_product' );
function create_post_type_product() {
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
	$spa_products_slug = $current_options['spa_products_slug'];
	register_post_type( 'spa_products',
		array(
			'labels' => array(
				'name' => 'Product',
				'singular_name' => 'Product',
				'add_new' => __('Add New Product', 'spasalon'),
				'add_new_item' => __('Enter Product Name','spasalon'),
				'edit_item' => __('Enter Product Name ','spasalon'),
				'new_item' => __('New Link','spasalon'),
				'all_items' => __('All Product','spasalon'),
				'view_item' => __('View Link','spasalon'),
				'search_items' => __('Search Links','spasalon'),
				'not_found' =>  __('No Links found','spasalon'),
				'not_found_in_trash' => __('No Links found in Trash','spasalon'), 
				
			),
			'supports' => array('title','thumbnail','custom-fields'),
			'show_in_nav_menus' => false,
			'public' => true,
			'menu_position' => 11,
			'rewrite' => array('slug' => $spa_products_slug),
			'menu_position' => 5,			 
			
		)
	);
}





function create_product_taxonomy() {
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
$spa_products_category_slug = $current_options['spa_products_category_slug'];
	register_taxonomy(
		'product_categories',
		'spa_products',
		array(
			'hierarchical' => true,
			'label' => __('Product Categories','spasalon'),
			'query_var' => true,
			'show_in_nav_menus' => true,
			'rewrite' => array('slug' => $spa_products_category_slug )
		));
	  
	//Default category id		
	$defualt_tex_id = get_option('custom_texo_product_id');
	//quick update category
	if((isset($_POST['action'])) && (isset($_POST['taxonomy']))){		
		wp_update_term(isset($_POST['tax_ID']), 'product_categories', array(
		  'name' => isset($_POST['name']),
		  'slug' => isset($_POST['slug'])
		));	
		update_option('custom_texo_product_id', $defualt_tex_id);
	} 
	else 
	{ 	//insert default category 
		if(!$defualt_tex_id){
			wp_insert_term('Uncategorized','product_categories', array('description'=> 'Default Category','slug' => 'Uncategorized'));
			$Current_text_id = term_exists('Uncategorized', 'product_categories');
			update_option('custom_texo_product_id', $Current_text_id['term_id']);
		}
	}
	//update category
	if(isset($_POST['submit']) && isset($_POST['action']) )
	{
		if(isset($_POST['tag_ID'])){
			
			wp_update_term($_POST['tag_ID'], 'product_categories', array(
			  'name' => $_POST['name'],
			  'slug' => $_POST['slug'],
			  'description' =>$_POST['description']
			));
			
		}
		
	}
	// Delete default category
	if(isset($_POST['action']) && isset($_POST['tag_ID']) )
	{	if(($_POST['tag_ID'] == $defualt_tex_id) && $_POST['action']	 =="delete-tag")
		{	
			delete_option('custom_texo_product_id'); 
		} 
	}	
}
add_action( 'init', 'create_product_taxonomy' );



add_action( 'save_post', 'set_default_product_category' );	
function set_default_product_category( $post_id ) {
$terms = wp_get_post_terms( $post_id, 'product_categories');
	// Only set default if no terms are set yet
	if (!$terms) {
		// Assign the default category
		$default_term = get_term_by('slug', 'uncategorized', 'product_categories','ARRAY_A');
		wp_set_post_terms( $post_id, $default_term, 'product_categories' );
	}
}