<?php 
// Home page slider section

add_action( 'customize_register', 'spasalon_slider_customizer' );

function spasalon_slider_customizer( $wp_customize ){

class Multiple_Select_Custom_Control extends WP_Customize_Control {
	/* The type of customize control being rendered. */
	public $type = 'multiple-select';
	/* Displays the multiple select on the customize screen. */
	public function render_content() {
		if ( empty( $this->choices ) )
			return;

		?>
			<label>
				<?php if ( ! empty( $this->label ) ) : ?>
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<?php endif; ?>
				<?php if ( ! empty( $this->description ) ) : ?>
					<span class="description customize-control-description"><?php echo $this->description; ?></span>
				<?php endif; ?>
				<select <?php $this->link(); ?> multiple="multiple" size="5" style="width: 100%;">
					<?php
						foreach ( $this->choices as $value => $label ) {
							$selected = ( in_array( $value, $this->value() ) ) ? selected( 1, 1, false ) : '';
							echo '<option value="' . esc_attr( $value ) . '"' . $selected . '>' . $label . '</option>';
						}
					?>
				</select>
			</label>
		<?php
	}
}

	/* slider section panel */
	$wp_customize->add_panel( 'slider_panel', array(
		'priority'       => 126,
		'capability'     => 'edit_theme_options',
		'title'      => __('Slider Section', 'spasalon'),
	) );
	
		/* slider section */
		$wp_customize->add_section( 'slider_section' , array(
			'title'      => __('Settings', 'spasalon'),
			'panel'  => 'slider_panel'
		) );
		
			// slider banner enable / disable 
			$wp_customize->add_setting( 'spa_theme_options[slider_bannerstrip_enable]' , array(
			'default' => 'yes',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[slider_bannerstrip_enable]' , array(
			'label'          => __( 'Slider Banner Enable in home page', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'radio',
			'choices'        => array(
				'yes' => 'ON',
				'no'  => 'OFF'
			) ) );
			
			// slider thumbnail enable / disable 
			$wp_customize->add_setting( 'spa_theme_options[slider_thumbnails_enable]' , array(
			'default' => 'yes',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[slider_thumbnails_enable]' , array(
			'label'          => __( 'Slider Thumbnails Enable in home page', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'radio',
			'choices'        => array(
				'yes' => 'ON',
				'no'  => 'OFF'
			) ) );
			
			// slider cat
			$wp_customize->add_setting( 'spa_theme_options[slider_cat]' , array(
			'default' => '',
			'type'=>'option'
			) );
			
			$wp_customize->add_control( new Multiple_Select_Custom_Control( $wp_customize , 'spa_theme_options[slider_cat]' , array(
			'label'          => __( 'Select Category', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => get_categories_select(),
			) ) );
			
			// slider caption align
			$wp_customize->add_setting( 'spa_theme_options[slider_caption_align]' , array(
			'default' => 'left',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[slider_caption_align]' , array(
			'label'          => __( 'Slider caption alignment', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => array(
				'left' => 'left',
				'right' => 'right',
				'center' => 'center',
			) ) );
			
			
			// slider caption color
			$wp_customize->add_setting( 'spa_theme_options[slider_caption_title_color]' , array(
			'default'     => '#fff',
				'type'=>'option'
				)
			);
 
			$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'spa_theme_options[slider_caption_title_color]',
					array(
						'label'      => __( 'Slider Caption Title Color', 'spasalon' ),
						'section'    => 'slider_section',
						'settings'   => 'spa_theme_options[slider_caption_title_color]'
					)
				)
			);
			
			
			$wp_customize->add_setting( 'spa_theme_options[slider_caption_overlay_color]' , array(
			'default'     => '#fff',
				'type'=>'option'
				)
			);
 
			$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'spa_theme_options[slider_caption_overlay_color]',
					array(
						'label'      => __( 'Slider Caption Description Color', 'spasalon' ),
						'section'    => 'slider_section',
						'settings'   => 'spa_theme_options[slider_caption_overlay_color]'
					)
				)
			);
			
			// slider entries
			$wp_customize->add_setting( 'spa_theme_options[slider_entries_main]' , array(
			'default' => 10,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[slider_entries_main]' , array(
			'label'          => __( 'No. of slides to show', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => array(
				1 => 1,
				2 => 2,
				3 => 3,
				4 => 4,
				5 => 5,
				6 => 6,
				7 => 7,
				8 => 8,
				9 => 9,
				10 => 10,
				11 => 11,
				12 => 12,
				13 => 13,
				14 => 14,
				15 => 15,
			) ) );
			
			// slider effect
			$wp_customize->add_setting( 'spa_theme_options[slide_effect_main]' , array(
			'default' => 'slide',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[slide_effect_main]' , array(
			'label'          => __( 'Slider Effects', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => array(
				'slide' => 'slide',
				'fade' => 'fade'
			) ) );
			
			// slider speed
			$wp_customize->add_setting( 'spa_theme_options[animation_speed_main]' , array(
			'default' => 1000,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[animation_speed_main]' , array(
			'label'          => __( 'Animation Speed', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => array(
				1000 => 1000,
				2000 => 2000,
				3000 => 3000,
				4000 => 4000,
				5000 => 5000,
				6000 => 6000,
				7000 => 7000,
				8000 => 8000,
				9000 => 9000,
				10000 => 10000,
			) ) );
			
			// slider interval
			$wp_customize->add_setting( 'spa_theme_options[auto_slide_interval_main]' , array(
			'default' => 2000,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[auto_slide_interval_main]' , array(
			'label'          => __( 'Auto Slide Interval', 'spasalon' ),
			'section'        => 'slider_section',
			'type'           => 'select',
			'choices'        => array(
				1000 => 1000,
				2000 => 2000,
				3000 => 3000,
				4000 => 4000,
				5000 => 5000,
				6000 => 6000,
				7000 => 7000,
				8000 => 8000,
				9000 => 9000,
				10000 => 10000,
			) ) );
			
			class WP_btn_slider_Customize_Control extends WP_Customize_Control {
				
				public $type = 'new_menu';
				public function render_content() {
				?>
				<p>
				<a href="<?php bloginfo ( 'url' );?>/wp-admin/edit.php" class="button"  target="_blank"><?php _e( 'Click here to add slides', 'spasalon' ); ?></a>
				</p>
				<?php
				}
			}
			
			$wp_customize->add_setting('btn_slider',	array(
			'default' => '',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'type' => 'option',
			) );
			
			$wp_customize->add_control( new WP_btn_slider_Customize_Control( $wp_customize, 'btn_slider', array(	
					'label' => __('Discover spasalon Pro','spasalon'),
					'section' => 'slider_section',
			) )	);
	
}


function get_categories_select() {
  $teh_cats = get_categories();
  $results;
  
  $count = count($teh_cats);
  for ($i=0; $i < $count; $i++) { 
    if (isset($teh_cats[$i]))
      $results[$teh_cats[$i]->term_id] = $teh_cats[$i]->name;
    else
      $count++;
  }
  return $results;
}




// customizer service section settings

function spasalon_service_section_customizer( $wp_customize ){
	
	/* service panel */
	
	$wp_customize->add_panel( 'service_panel', array(
		'priority'       => 127,
		'capability'     => 'edit_theme_options',
		'title'      => __('Service Section', 'spasalon'),
	) );
		

		$wp_customize->add_section( 'service_settings' , array(
			'title'      => __('Settings', 'spasalon'),
			'panel'  => 'service_panel',
			'priority'       => 1,
		) );
		
			// service hide
			$wp_customize->add_setting( 'spa_theme_options[service_hide]' , array(
			'default' => false,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[service_hide]' , array(
			'label'          => __( 'Hide service section', 'spasalon' ),
			'section'        => 'service_settings',
			'type'           => 'checkbox'
			) );
			
			// service layout
			$wp_customize->add_setting( 'spa_theme_options[service_layout]' , array(
			'default' => 4,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[service_layout]' , array(
			'label'          => __( 'Select Service Column', 'spasalon' ),
			'section'        => 'service_settings',
			'type'           => 'select',
			'choices' => array(
				1 => 1,
				2 => 2,
				3 => 3,
				4 => 4,
			) ) );
		
		$wp_customize->add_section( 'service_section' , array(
			'title'      => __('Section Header', 'spasalon'),
			'panel'  => 'service_panel',
			'priority'       => 2,
		) );
		
			// service title
			$wp_customize->add_setting( 'spa_theme_options[tagline_title]' , array(
			'default' => __( 'Treatment we are offering', 'spasalon' ),
			'sanitize_callback' => 'spasalon_sanitize_text',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[tagline_title]' , array(
			'label'          => __( 'Service Section Title', 'spasalon' ),
			'section'        => 'service_section',
			'type'           => 'text'
			) );
			
			// service desc
			$wp_customize->add_setting( 'spa_theme_options[tagline_contents]' , array(
			'default' => __( 'In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu,congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.', 'spasalon' ),
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[tagline_contents]' , array(
			'label'          => __( 'Service Section Description', 'spasalon' ),
			'section'        => 'service_section',
			'type'           => 'textarea'
			) );
}

add_action( 'customize_register', 'spasalon_service_section_customizer' );





// customizer project settings

add_action( 'customize_register', 'spasalon_project_section_customizer' );

function spasalon_project_section_customizer( $wp_customize ){
	
	/* project panel */
	$wp_customize->add_panel( 'project_panel', array(
		'priority'       => 128,
		'capability'     => 'edit_theme_options',
		'title'      => __('Product Section', 'spasalon'),
	) );
		
		/* settings */
		$wp_customize->add_section( 'project_settings' , array(
			'title'      => __('Settings', 'spasalon'),
			'panel'  => 'project_panel',
			'priority'       => 1,
		) );
		
			// project hide
			$wp_customize->add_setting( 'spa_theme_options[project_hide]' , array(
			'default' => false,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			
			$wp_customize->add_control('spa_theme_options[project_hide]' , array(
			'label'          => __( 'Hide Product section', 'spasalon' ),
			'section'        => 'project_settings',
			'type'           => 'checkbox'
			) );
			
		
		/* project section */
		$wp_customize->add_section( 'project_section' , array(
			'title'      => __('Section Header', 'spasalon'),
			'panel'  => 'project_panel',
			'priority'       => 2,
		) );
		
			// project title
			$wp_customize->add_setting( 'spa_theme_options[product_title]' , array(
			'default' => __('Spasalon Our product rang','spasalon'),
			'sanitize_callback' => 'spasalon_sanitize_text',
			'type'=>'option'
			) );
			
			$wp_customize->add_control('spa_theme_options[product_title]' , array(
			'label'          => __( 'Product Section Title', 'spasalon' ),
			'section'        => 'project_section',
			'type'           => 'text'
			) );
			
			// project desc
			$wp_customize->add_setting( 'spa_theme_options[product_contents]' , array(
			'default' => __( 'A SpaSalon Produc Heading Title In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu, congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.', 'spasalon' ),
			'type'=>'option'
			) );
			
			$wp_customize->add_control('spa_theme_options[product_contents]' , array(
			'label'          => __( 'Product Section Description', 'spasalon' ),
			'section'        => 'project_section',
			'type'           => 'textarea'
			) );
			
			$wp_customize->add_setting( 'spa_theme_options[product_desc_length]' , array(
			'default' => 10,
			'sanitize_callback' => 'spasalon_sanitize_text',
			'type'=>'option'
			) );
			
			$wp_customize->add_control('spa_theme_options[product_desc_length]' , array(
			'label'          => __( 'Enter Product Description Word Length ', 'spasalon' ),
			'section'        => 'project_section',
			'type'           => 'text'
			) );
			
			
			class WP_btn_project_Customize_Control extends WP_Customize_Control {
				
				public $type = 'new_menu';
				public function render_content() {
				?>
				<p>
				<a href="<?php bloginfo ( 'url' );?>/wp-admin/edit.php?post_type=spa_products" class="button"  target="_blank"><?php _e( 'Click here to add project', 'spasalon' ); ?></a>
				</p>
				<?php
				}
			}
			
			$wp_customize->add_setting('btn_project',	array(
			'default' => '',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'type' => 'option',
			) );
			
			$wp_customize->add_control( new WP_btn_project_Customize_Control( $wp_customize, 'btn_project', array(	
					'label' => __('Discover spasalon Pro','spasalon'),
					'section' => 'project_section',
			) )	);
	
}





// customizer news settings

function spasalon_news_customizer( $wp_customize ){
	
	/* home page settings */
	$wp_customize->add_panel( 'news_panel', array(
		'priority'       => 129,
		'capability'     => 'edit_theme_options',
		'title'      => __('News section', 'spasalon'),
	) );
		
		/* settings */
		$wp_customize->add_section( 'news_settings' , array(
			'title'      => __('Settings', 'spasalon'),
			'panel'  => 'news_panel',
			'priority'       => 1,
		) );
			
			// news enable / disable 
			$wp_customize->add_setting( 'spa_theme_options[enable_news]' , array(
			'default' => true,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			
			$wp_customize->add_control('spa_theme_options[enable_news]' , array(
			'label'          => __( 'Enable News Section', 'spasalon' ),
			'section'        => 'news_settings',
			'type'           => 'checkbox',
			) );
			
			// news layout
			$wp_customize->add_setting( 'spa_theme_options[news_layout]' , array(
			'default' => 2,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[news_layout]' , array(
			'label'          => __( 'Select News Column Layout', 'spasalon' ),
			'section'        => 'news_settings',
			'type'           => 'select',
			'choices' => array(
				1 => 1,
				2 => 2,
				3 => 3,
				4 => 4,
			) ) );
			
		/* news section header */
		$wp_customize->add_section( 'news_section' , array(
			'title'      => __('News Header', 'spasalon'),
			'panel'  => 'news_panel',
			'priority'       => 2,
		) );
			
			// news title
			$wp_customize->add_setting( 'spa_theme_options[news_title]' , array(
			'default' => __( 'Our Latest News & Events', 'spasalon' ),
			'sanitize_callback' => 'spasalon_sanitize_text',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[news_title]' , array(
			'label'          => __( 'News Section Title', 'spasalon' ),
			'section'        => 'news_section',
			'type'           => 'text'
			) );
			
			// news desc
			$wp_customize->add_setting( 'spa_theme_options[news_contents]' , array(
			'default' => __('A SpaSalon Produc Heading Title In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu, congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.','spasalon'),
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[news_contents]' , array(
			'label'          => __( 'News Section Description', 'spasalon' ),
			'section'        => 'news_section',
			'type'           => 'textarea'
			) );
}
add_action( 'customize_register', 'spasalon_news_customizer' );





// customizer home page additional

add_action( 'customize_register', 'spasalon_homepage_additional_customizer' );

function spasalon_homepage_additional_customizer( $wp_customize ){
	
	/* home page additional panel */
	$wp_customize->add_panel( 'homepage_additional_panel', array(
		'priority'       => 130,
		'capability'     => 'edit_theme_options',
		'title'      => __('Home Page Additional Sidebar', 'spasalon'),
	) );
		
		/* settings */
		$wp_customize->add_section( 'additional_settings' , array(
			'title'      => __('Settings', 'spasalon'),
			'panel'  => 'homepage_additional_panel',
			'priority'       => 1,
		) );
			
			// additional hide
			$wp_customize->add_setting( 'spa_theme_options[homepage_additional_hide]' , array(
			'default' => true,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[homepage_additional_hide]' , array(
			'label'          => __( 'Hide additional contents', 'spasalon' ),
			'section'        => 'additional_settings',
			'type'           => 'checkbox'
			) );
			
			// additional layout
			$wp_customize->add_setting( 'spa_theme_options[homepage_additional_layout]' , array(
			'default' => 3,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[homepage_additional_layout]' , array(
			'label'          => __( 'Select Additional Column', 'spasalon' ),
			'section'        => 'additional_settings',
			'type'           => 'select',
			'choices' => array(
			    1 => 1,
				2 => 2,
				3 => 3,
				4 => 4,
			) ) );
			
		/* additional section header */
		$wp_customize->add_section( 'additional_header' , array(
			'title'      => __('Additional Header', 'spasalon'),
			'panel'  => 'homepage_additional_panel',
			'priority'       => 2,
		) );
			
			// additional title
			$wp_customize->add_setting( 'spa_theme_options[homepage_additional_title]' , array(
			'default' => '',
			'sanitize_callback' => 'spasalon_sanitize_text',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[homepage_additional_title]' , array(
			'label'          => __( 'Additional Section Title', 'spasalon' ),
			'section'        => 'additional_header',
			'type'           => 'text'
			) );
			
			// additional desc
			$wp_customize->add_setting( 'spa_theme_options[homepage_additional_contents]' , array(
			'default' => '',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[homepage_additional_contents]' , array(
			'label'          => __( 'Additional Section Description', 'spasalon' ),
			'section'        => 'additional_header',
			'type'           => 'textarea'
			) );
}


function spasalon_sanitize_text( $input ) {

	return wp_kses_post( force_balance_tags( $input ) );

}