<?php 

// slugs settings
function spasalon_post_type_slugs_customizer( $wp_customize ){
	
	/* post type slugs settings */
	$wp_customize->add_panel( 'post_type_slug_settings', array(
		'priority'       => 131,
		'capability'     => 'edit_theme_options',
		'title'      => __('Post Type Slugs Settings', 'spasalon'),
	) );
	
		/* post type slugs page */
		$wp_customize->add_section( 'slugs_section' , array(
			'title'      => __('Post Type Slugs Settings', 'spasalon'),
			'panel'  => 'post_type_slug_settings'
		) );
			
			// spa_team_slug
			$wp_customize->add_setting( 'spa_theme_options[spa_team_slug]' , array(
			'default' => 'spa-team',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[spa_team_slug]' , array(
			'label'          => __( 'Team Slug', 'spasalon' ),
			'section'        => 'slugs_section',
			'type'           => 'text',
			) );
			
			// spa_products_slug
			$wp_customize->add_setting( 'spa_theme_options[spa_products_slug]' , array(
			'default' => 'spa-products',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[spa_products_slug]' , array(
			'label'          => __( 'Products Slug', 'spasalon' ),
			'section'        => 'slugs_section',
			'type'           => 'text',
			) );
			
			// spa_products_category_slug
			$wp_customize->add_setting( 'spa_theme_options[spa_products_category_slug]' , array(
			'default' => 'product-categories',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[spa_products_category_slug]' , array(
			'label'          => __( 'Products Category Slug', 'spasalon' ),
			'section'        => 'slugs_section',
			'type'           => 'text',
			) );
			
			
			class spa_Customize_slug extends WP_Customize_Control {
			public function render_content() { ?>
			<h3><?php _e("After Changing slug don't forgat to save permalinks.without saving, the old permalinks will not revise.","spasalon"); ?> 
			<?php
			}
			}
			
			$wp_customize->add_setting( 'spa_theme_options[spa_slug_setting]', array(
			'default'				=> false,
			'capability'			=> 'edit_theme_options',
			'sanitize_callback'	=> 'wp_filter_nohtml_kses',
			));
			$wp_customize->add_control(
			new spa_Customize_slug(
			$wp_customize,
			'spa_theme_options[spa_slug_setting]',
			array(
				'label'					=> __('Spasalon Slug','spasalon'),
				'section'				=> 'slugs_section',
				'settings'				=> 'spa_theme_options[spa_slug_setting]',
			)));
			
			class WP_slug_Customize_Control extends WP_Customize_Control {
			public $type = 'new_menu';
			/**
			* Render the control's content.
			*/
			public function render_content() {
			?>
			<a href="<?php bloginfo ( 'url' );?>/wp-admin/options-permalink.php" class="button"  target="_blank"><?php _e( 'Click Here Permalinks Setting', 'spasalon' ); ?></a>
			<?php
			}
			}

			$wp_customize->add_setting(
				'slug',
				array(
					'default' => '',
					'capability'     => 'edit_theme_options',
					'sanitize_callback' => 'sanitize_text_field',
				)	
			);
			$wp_customize->add_control( new WP_slug_Customize_Control( $wp_customize, 'slug', array(	
					'section' => 'slugs_section',
				))
			);
	
	
}
add_action( 'customize_register', 'spasalon_post_type_slugs_customizer' );