<?php 
// About Page

function spasalon_aboutpage_customizer( $wp_customize ){
	
	/* About Page */
	$wp_customize->add_panel( 'aboutpage_settings', array(
		'priority'       => 130,
		'capability'     => 'edit_theme_options',
		'title'      => __('About Page', 'spasalon'),
	) );
	
		/* Team Settings */
		$wp_customize->add_section( 'aboutteam_settings' , array(
			'title'      => __('Team Section Settings', 'spasalon'),
			'panel'  => 'aboutpage_settings',
			'priority'       => 1,
		) );
		
			// Team section enable / disable 
			$wp_customize->add_setting( 'spa_theme_options[about_team_enable]' , array(
			'default' => 'yes',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[about_team_enable]' , array(
			'label'          => __( 'Enable Team Section', 'spasalon' ),
			'section'        => 'aboutteam_settings',
			'type'           => 'radio',
			'choices'        => array(
				'yes' => 'ON',
				'no'  => 'OFF'
			) ) );
		
		/* Team section header */
		$wp_customize->add_section( 'aboutteam_header' , array(
			'title'      => __('Team Section Header', 'spasalon'),
			'panel'  => 'aboutpage_settings',
			'priority'       => 2,
		) );
		
			// team section title
			$wp_customize->add_setting( 'spa_theme_options[about_team_title]' , array(
			'default' => __( 'Meet Our Great Team', 'spasalon' ),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[about_team_title]' , array(
			'label'          => __( 'Team Section Title', 'spasalon' ),
			'section'        => 'aboutteam_header',
			'type'           => 'text',
			) );
	
}
add_action( 'customize_register', 'spasalon_aboutpage_customizer' );




// Contact Page
function spasalon_contactpage_customizer( $wp_customize ){
	
	
	/* template settings */
	$wp_customize->add_panel( 'contactpahe_panel', array(
		'priority'       => 130,
		'capability'     => 'edit_theme_options',
		'title'      => __('Contact Page', 'spasalon'),
	) );
			
		/* contact page */
		$wp_customize->add_section( 'contact_section' , array(
			'title'      => __('Contact Page Settings', 'spasalon'),
			'panel'  => 'contactpahe_panel'
		) );
		
			// contact page map enable / disable 
			$wp_customize->add_setting( 'spa_theme_options[contact_map_enable]' , array(
			'default' => 'yes',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[contact_map_enable]' , array(
			'label'          => __( 'Enable Google Map Section', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'radio',
			'choices'        => array(
				'yes' => 'ON',
				'no'  => 'OFF'
			) ) );
			
			// contact google map title
			$wp_customize->add_setting( 'spa_theme_options[contact_map_title]' , array(
			'default' => __( 'Contact Info', 'spasalon' ),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[contact_map_title]' , array(
			'label'          => __( 'Google Map Section Title', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact google map shortcode
			$wp_customize->add_setting( 'spa_theme_options[map]' , array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[map]' , array(
			'label'          => __( 'Google Map Shortcode', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'textarea',
			) );
			
			// contact form title
			$wp_customize->add_setting( 'spa_theme_options[contact_form_title]' , array(
			'default' => __('Get in Touch','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[contact_form_title]' , array(
			'label'          => __( 'Contact Form Title', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact company title
			$wp_customize->add_setting( 'spa_theme_options[contact_address_title]' , array(
			'default' => __('Spa Salon','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[contact_address_title]' , array(
			'label'          => __( 'Company Name', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact address 1
			$wp_customize->add_setting( 'spa_theme_options[adress_line_one]' , array(
			'default' => __('8901 Marmora Road,','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[adress_line_one]' , array(
			'label'          => __( 'Address 1', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'textarea',
			) );
			
			// contact address 2
			$wp_customize->add_setting( 'spa_theme_options[adress_line_two]' , array(
			'default' => __('Glasgow,','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[adress_line_two]' , array(
			'label'          => __( 'Address 2', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'textarea',
			) );
			
			// contact address 3
			$wp_customize->add_setting( 'spa_theme_options[adress_line_three]' , array(
			'default' => __( 'D04 89GR.', 'spasalon' ),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[adress_line_three]' , array(
			'label'          => __( 'Address 3', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'textarea',
			) );
			
			// contact phone1
			$wp_customize->add_setting( 'spa_theme_options[phone_number_one]' , array(
			'default' => '+1 800 559 6580',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[phone_number_one]' , array(
			'label'          => __( 'Phone 1', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact phone2
			$wp_customize->add_setting( 'spa_theme_options[phone_number_two]' , array(
			'default' => '+1 800 603 6035',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[phone_number_two]' , array(
			'label'          => __( 'Phone 2', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact fax no
			$wp_customize->add_setting( 'spa_theme_options[fax_number]' , array(
			'default' => '4546624',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[fax_number]' , array(
			'label'          => __( 'Fax No.', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact email
			$wp_customize->add_setting( 'spa_theme_options[email_address]' , array(
			'default' => 'themes@webriti.com',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[email_address]' , array(
			'label'          => __( 'Email Address', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact hours title
			$wp_customize->add_setting( 'spa_theme_options[open_hours_title]' , array(
			'default' => __('Opening Hours','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[open_hours_title]' , array(
			'label'          => __( 'Opening Hours', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact mon timing
			$wp_customize->add_setting( 'spa_theme_options[weekends_time]' , array(
			'default' => '11:00 – 17:30',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[weekends_time]' , array(
			'label'          => __( 'Mon Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact tue timing
			$wp_customize->add_setting( 'spa_theme_options[weekdays_time]' , array(
			'default' => '9:30 – 17:30',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[weekdays_time]' , array(
			'label'          => __( 'Tue Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact wed timing
			$wp_customize->add_setting( 'spa_theme_options[wed_time]' , array(
			'default' => '9:30 – 22:00',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[wed_time]' , array(
			'label'          => __( 'Wed Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact thu timing
			$wp_customize->add_setting( 'spa_theme_options[thudays_time]' , array(
			'default' => '9:30 – 22:00',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[thudays_time]' , array(
			'label'          => __( 'Thus Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact fri timing
			$wp_customize->add_setting( 'spa_theme_options[fridays_time]' , array(
			'default' => '9:30 – 21:00',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[fridays_time]' , array(
			'label'          => __( 'Fri Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact sat timing
			$wp_customize->add_setting( 'spa_theme_options[satdays_time]' , array(
			'default' => '9:30 – 17:30',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[satdays_time]' , array(
			'label'          => __( 'Sat Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
			
			// contact sun timing
			$wp_customize->add_setting( 'spa_theme_options[sundays_time]' , array(
			'default' => '12:00 – 17:00',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[sundays_time]' , array(
			'label'          => __( 'Sun Time', 'spasalon' ),
			'section'        => 'contact_section',
			'type'           => 'text',
			) );
	
}
add_action( 'customize_register', 'spasalon_contactpage_customizer' );