<?php 
add_action( 'widgets_init','wdl_product_widget'); 
function wdl_product_widget() 
{ 
	return   register_widget( 'wdl_product_widget' );
}

class wdl_product_widget extends WP_Widget {

	function __construct() {
		parent::__construct(
			'wdl_product_widget', // Base ID
			__('Spasalon : Recent Products', 'spasalon'), // Name
			array( 'description' => __( 'The most recent products on your site', 'spasalon' ), ) // Args
		);
	}

	public function widget( $args , $instance ) {
		
		echo $args['before_widget'];
		
		if($instance['title']){
		echo $args['before_title'] . $instance['title'] . $args['after_title'];
		}
		
		$product_loop = new WP_Query(array( 'post_type' => 'spa_products', 'showposts' => $instance['product_show'] ));
		
		if( $product_loop->have_posts() ) :
		
			while ( $product_loop->have_posts() ) : $product_loop->the_post();
			
				$my_meta = get_post_meta(get_the_ID(),'_my_meta',TRUE);
				
				if($my_meta['link']!='')
				{	$meta_value_link = $my_meta['link']; }
				else
				{	$meta_value_link = get_permalink( get_the_ID() ); } 
				
				if(isset($my_meta['check']))
				{ $target ='target="_blank"';  }
				else 
				{ $target ='target="_self"';  }
			?>
			<div class="media post">
				<a href="<?php echo $meta_value_link; ?>" <?php echo $target; ?> class="post-thumbnail" title="<?php the_title(); ?>">
					<?php the_post_thumbnail(); ?>
				</a>
				<div class="media-body">
					<div class="entry-header">
						<h5 class="entry-title">
							<a href="<?php echo $meta_value_link; ?>" <?php echo $target; ?>><?php the_title(); ?></a>
						</h5>
					</div>
					
					<?php if( $my_meta['price'] !='' ){ ?>
					<span class="entry-date"><?php echo  $my_meta['price']; ?></span>
					<?php } ?>
					
				</div>
			</div>
			<?php
			endwhile;
		
		endif;
		
		echo $args['after_widget']; 	
	}

	public function form( $instance ) {
		
		$instance['title'] = ( isset($instance['title'] ) ? $instance['title'] : '' );
		$instance['product_show'] = ( isset($instance['product_show'] ) ? $instance['product_show'] : 3 );
		?>
		
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:','spasalon' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
		</p>
		
		<p>
		<label for="<?php echo $this->get_field_id( 'product_show' ); ?>"><?php _e( 'No. of product show:','spasalon' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'product_show' ); ?>" name="<?php echo $this->get_field_name( 'product_show' ); ?>" type="text" value="<?php echo esc_attr( $instance['product_show'] ); ?>" />
		</p>
		
		<?php 
	}

	public function update( $new_instance, $old_instance ) {
		
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? $new_instance['title'] : '';
		$instance['product_show'] = ( ! empty( $new_instance['product_show'] ) ) ? $new_instance['product_show'] : '';
		
		return $instance;
	}

} // class