<?php
/**
 * Register team section widget
 *
 */
add_action('widgets_init','wbr_team_section_widget');
function wbr_team_section_widget(){
	
	return register_widget('wbr_team_section_widget');
}

class wbr_team_section_widget extends WP_Widget{
	
	function __construct() {
		parent::__construct(
			'wbr_team_section_widget', // Base ID
			__('Spasalon : Team Widget', 'spasalon'), // Name
			array( 'description' => __( 'Team item widget ', 'spasalon' ), ) // Args
		);
	}
	
	public function widget( $args , $instance ) {
		
			echo $args['before_widget'];
			$selected_team_id = (isset($instance['selected_team_id'])?$instance['selected_team_id']:'');
			
			$ids = array();
			$ids[] = $selected_team_id;
			
			if( $selected_team_id != '' ){
				
				$arg = array(  'post_type' => 'spa_team' , 'post__in' => $ids );
			
				$team = new WP_Query( $arg );
				
				while ( $team->have_posts() ) : $team->the_post();
					
					$my_meta = get_post_meta( $selected_team_id ,'_my_meta', TRUE );
				?>
			
				<div class="media team">
						
					<?php if( has_post_thumbnail() ): ?>
					<figure class="team-gravatar">
						<?php the_post_thumbnail('thumbnail'); ?>
					</figure>
					<?php endif; ?>
					
					<div class="media-body"> 
						<h3 class="team-name"><?php the_title(); ?></h3> 
						
						<span class="team-designation">
						<?php _e( 'Designation: ', 'spasalon' ); if( isset( $my_meta['Designation'] ) ){ echo $my_meta['Designation']; } ?>
						</span>
						
						<p>
							<?php if( isset( $my_meta['description'] ) ) echo $my_meta['description']; ?>
						</p> 
						
						<?php 
						if(isset($my_meta['facebook_chkbx'])){$facebook_chkbx=1;} else{$facebook_chkbx=0;}					 
						if(isset($my_meta['twitter_chkbx'])){$twitter_chkbx=1;} else{$twitter_chkbx=0;}					 
						if(isset($my_meta['google_chkbx'])){$google_chkbx=1;} else{$google_chkbx=0;}
						
						if(isset($my_meta['target_tab'])){$target_tab=1;} else{$target_tab=0;}
						?>
						<ul class="team-social">
						
							<?php if( $facebook_chkbx == 1 ): ?>
							<li class="facebook"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['facebook_url'] ) ){ echo $my_meta['facebook_url']; } ?>" class="fa fa-facebook"></a></li>
							<?php endif; ?>
							
							<?php if( $twitter_chkbx == 1 ): ?>
							<li class="twitter"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['twitter_url'] ) ){ echo $my_meta['twitter_url']; } ?>" class="fa fa-twitter"></a></li>
							<?php endif; ?>
							
							<?php if( $google_chkbx == 1 ): ?>
							<li class="googleplus"><a <?php echo ($target_tab==true?'target="_blank"':''); ?> href="<?php if( isset( $my_meta['google_url'] ) ){ echo $my_meta['google_url']; } ?>" class="fa fa-google-plus"></a></li>
							<?php endif; ?>
							
						</ul>
						
					</div> 
				</div>
				<?php 
				endwhile;
				
				wp_reset_postdata();
			}
			
			
		echo $args['after_widget'];
	}
	
		public function form( $instance ) {
		$instance['selected_team_id'] = isset($instance['selected_team_id']) ? $instance['selected_team_id'] : '';
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'selected_team_id' ); ?>"><?php _e( 'Select Team Mamber:','spasalon' ); ?></label> 
			<select class="widefat" id="<?php echo $this->get_field_id( 'selected_team_id' ); ?>" name="<?php echo $this->get_field_name( 'selected_team_id' ); ?>">
				<option value>--<?php _e( 'Select','spasalon' ); ?>--</option>
				<?php
					$selected_team_id = $instance['selected_team_id'];
					$args = array(
					'post_type' => 'spa_team',
					);
					$loop = new WP_Query($args);

					while($loop->have_posts()): $loop->the_post();
						$option = '<option value="' . get_the_ID() . '" ';
						$option .= ( get_the_ID() == $selected_team_id ) ? 'selected="selected"' : '';
						$option .= '>';
						$option .= get_the_title();
						$option .= '</option>';
						echo $option;
					endwhile;
					wp_reset_query();
				?>	
			</select>
			<br/>
		</p>
		<?php  ?>
        </select>
	<?php 
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = array();
		$instance['selected_team_id'] = ( ! empty( $new_instance['selected_team_id'] ) ) ? $new_instance['selected_team_id'] : '';
		
		return $instance;
	}
}