<?php
/**
 * single post detail file
 * @package WordPress
 * @subpackage spasalon
 */
 
get_header(); 
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
?>
<!-- Blog & Sidebar Section -->
<section id="section">		
	<div class="container">
		<div class="row">
			
			<!--Blog Detail-->
			<div class="col-md-8 col-xs-12">
				<?php if( have_posts() ) : the_post(); 
				$my_meta = get_post_meta($post->ID,'_my_meta',TRUE);
				?>
				<!--Product Detail-->
				<div class="product-detail"> 
					<div class="media"> 
						
						<?php if( has_post_thumbnail() ){ ?>
						<figure class="product-thumbnail">
							<?php the_post_thumbnail(); ?>
						</figure>
						<?php } ?>
						
						<div class="media-body"> 						
							<div class="product-view-info">
								<?php the_title('<h3 class="entry-title">', '</h3>' ); ?>
								<span class="price"><?php if(isset($my_meta['price'])) echo $my_meta['price']; ?></span>
								<p><?php if(isset($my_meta['description'])) echo $my_meta['description'];?></p>
							</div>
						</div> 
					</div>
				</div>
				<!--End of Product Detail-->
				<?php endif; ?>
				
				
				<!--Related Products-->
				<div class="product-detail">
					<h3 class="product-title"><?php _e('Related Products','spasalon'); ?></h3>
					
					<?php 
					$arg = array( 'post_type' => 'spa_products','posts_per_page' =>3 );
					$loop_product = new WP_Query( $arg );
					
					if($loop_product->have_posts() ):
				
					while ( $loop_product->have_posts() ) : $loop_product->the_post();
					
						$my_meta = get_post_meta(get_the_ID(),'_my_meta',TRUE);
						
						if($my_meta['link']!='')
						{	$meta_value_link = $my_meta['link'];	}
						else
						{	 $meta_value_link = get_permalink(); } 
					
						if(isset($my_meta['check']))
						{	$target ='target="_blank"';  } else { $target ='target="_self"';  }
					?>
					<aside class="item-product">
					
						<?php if( has_post_thumbnail() ): ?>
						<figure class="item">
							<a <?php echo $target; ?> href="<?php echo $meta_value_link; ?>"title="<?php the_title(); ?>">
								<?php the_post_thumbnail(); ?>
							</a>
						</figure>
						<?php endif; ?>
						
						<div class="product-info">
							<a href="<?php echo $meta_value_link; ?>"  <?php echo $target; ?> class="product-name"><?php the_title(); ?></a>
							<label class="product-description">
							<?php 
								if( isset( $my_meta['description'] ) )
									echo get_homepage_product_excerpt($my_meta['description']);
								?>
							</label>
							<span class="product-price"><?php if( isset( $my_meta['price'] ) ) echo $my_meta['price']; ?></span>
						</div>
					</aside>
					<?php 
						endwhile;
					endif;
					?>
					
				</div>
				<!--End of Related Products-->
			</div>
			<!--/End of Blog Detail-->

			<?php get_sidebar(); ?>
		
		</div>	
	</div>
</section>
<!-- End of Blog & Sidebar Section -->
 
<div class="clearfix"></div>

<?php get_footer(); ?>